slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSKrylovSchurGetSubintervals

Returns the points that delimit the subintervals used in spectrum slicing with several partitions.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSKrylovSchurGetSubintervals(EPS eps,PetscReal **subint)

Not Collective

### Input Parameter

| eps | - the eigenproblem solver context

### Output Parameter

| subint | - array of real values specifying subintervals

### Notes

If the user passed values with EPSKrylovSchurSetSubintervals(), then the same values are returned. Otherwise, the values computed internally are obtained.

This function is only available for spectrum slicing runs.

The returned array has length npart+1 (see EPSKrylovSchurGetPartitions()) and should be freed by the user.

### Fortran Notes

The calling sequence from Fortran is

       EPSKrylovSchurGetSubintervals(eps,subint,ierr)
       double precision subint(npart+1) output

### See Also

EPSKrylovSchurSetSubintervals(), EPSKrylovSchurGetPartitions(), EPSSetInterval()

### Level

advanced

### Location

src/eps/impls/krylov/krylovschur/krylovschur.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages